# showAlert

Displays a full screen modal dialogue.

| Key             | Description                                       |
| --------------- | ------------------------------------------------- |
| action          | showModal                                         |
| options.text    | Body text for alert                               |
| options.title   | Title text                                        |
| options.type    | info \| warn \| error \| success                  |
| options.options | object - additional options to the parent options |

showAlert supports additional parameters\
**reference:**[ https://github.com/euvl/vue-notification/blob/master/README.md](https://github.com/euvl/vue-notification/blob/master/README.md)

```
// action  object for 'showModal'
{

}
```

## FileMaker Custom Function

This CF allows for super easy implementation. Pass additional options in the options object if needed.

```
// V1
BF_SetAction_showAlert( title ; type ; text ; options ) 
or 
// V2
BF_SetAction_showAlert_g
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/actions-processor/actions_overview/showalert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
